EA Forums - Banner

Scripts updated for 19.3

Prev1345
nefrontheone
328 posts Member
edited September 13
Hi!

Our friend @AlkalyneD4 has fixed some scripts for 19.3 version of our game that run inside Tampermonkey.
Thank you for your hard work!

Wrapper
https://github.com/SebHeuze/CnC_TA/raw/master/API_wrapper.user.js
Maelstrom ADDON BaseScanner
https://github.com/SebHeuze/CnC_TA/raw/master/Maelstrom_ADDON_Basescanner_41CP_Mod.user.js
Note: BaseScanner includes spanish translation now.
The Movement
https://github.com/SebHeuze/CnC_TA/raw/master/TheMovement.user.js
Tiberium Alliances AutoRepair
https://github.com/SebHeuze/CnC_TA/raw/master/TA_Autorepair.user.js
@leo7044 updated (with spanish tanslations):
WarChiefs Tiberium Alliances Upgrade Base Defense Army
https://github.com/leo7044/CnC_TA/blob/master/WarChiefs-Tiberium_Alliances_Upgrade_Base_Defense_Army.user.js

If you find any other updates, links are wellcome.

Important: Old versions of these scripts must be deactivated, whether they are installed manually or as part of a script package (like Crucial Pack, CnCTA SoO SCRIPT PACK or CENTER DRIVEN Pack)

Note: Some scripts still work with version 19.3, so they have not needed updating/fixing and have not been included in this thread.
Not a part of EA / Envision teams - My comments are only mine.
Post edited by nefrontheone on

Replies

  • thank

    Congratulations
  • neuman5
    1 posts New member
    basescanner dont work for me :(
  • Common checks:
    1) Verify that you are in a world with the update to 19.3
    2) Clear the cache and data stored in the browser
    3) Close the browser and after waiting for the closing of it, launch it again and reload the game home page

    Note: Another player had a similar fault and had to reload the game page several times until the game settings were correct.
    Not a part of EA / Envision teams - My comments are only mine.
  • réparation automatique des unités
    réparation automatique des bâtiments

    Non fonctionnel




    96j57rnjlsqe.png

  • nefrontheone
    328 posts Member
    edited August 24
    I really miss because I do appear to select them: https://prnt.sc/owroyb

    Even changing the game's interface to French: https://prnt.sc/owrpqp

    Edited: I just checked that this error occurs with firefox, the captures I put are with Chrome.
    Post edited by nefrontheone on
    Not a part of EA / Envision teams - My comments are only mine.
  • Christian17300
    29 posts Member
    edited August 24
    Yes, use Firefox
    thank
  • Christian also ADD Base Scanner not working to those 2
    and we have lost the main tools a lot work with

    I know they are 3rd Party but Surly the Dev Team could Perhaps look at the Upgrade Code and see where these add ons have been effected and Perhaps Just Perhaps make some kind of adjustment to there Up Grade

    They all worked before Upgrade so its lines in the upgrade code that has stopped them

    If that can not be done then PERHAPS the Devs could Include them Features into the Game Tools
    or would that be asking too much
  • Hi! I am new to Tampermonkey. I was using script packages. I added Tampermonkey to Chrome, and installed the 3 new javascripts. The movement works well, THANK YOU SO MUCH! But my problem with basescanner, is WHERE do I acces it? Is there supposed to be a button? Where? And also, what is API Wrapper? Does it has something to do with a "button" ? I installed it and Tampermonkey shows it's running in my game... like the two others. Thank you very much in advance!
    Bergy
  • P.S. Christian, if you can answer me, and it's easier for you to do so in french, Je suis québécois :)
  • The wrapper is a basic part of communication between the scripts and the game, so to speak in a simple way is the glue that joins the game with the scripts. You use it but you don't see it.
    The BaseScanner is a complement to the MaelstromTools, where you have a button to execute it when you need it. https://prnt.sc/owzft7
    The Movement is a tool for the management of action plans by the commanders in chief of the alliances.

    Note: It is not necessary to install the scripts in order to play but add new capabilities or improvements to the judge himself.
    Note2: The scripts have not been developed by the game developer
    Note3: Scripts must be used at your own risk, there are never guarantees about them.
    Not a part of EA / Envision teams - My comments are only mine.
  • gamerdruid
    2785 posts Moderator
    Christian also ADD Base Scanner not working to those 2
    and we have lost the main tools a lot work with

    I know they are 3rd Party but Surly the Dev Team could Perhaps look at the Upgrade Code and see where these add ons have been effected and Perhaps Just Perhaps make some kind of adjustment to there Up Grade

    They all worked before Upgrade so its lines in the upgrade code that has stopped them

    If that can not be done then PERHAPS the Devs could Include them Features into the Game Tools
    or would that be asking too much

    The devs have looked at both their changes and the code in the scripts.

    I too hope that many more features are added to the game rather than relying on scripts. If they did this then there would be less for me to do after an upgrade, as well as benefiting the rest of the game players in not having to worry what is to be broken this time around!
    I am not an employee of EA/Envision. The views expressed are my own!
  • Thanks!!! I was blind :) It's in the menu! I was using Center Driven scripts so I was searching the "script button" (It is in the top right with center driven) The version 9.0.7 was still working good with 19.2, especially the auto-repair base units in the order that you wanted! I hope someone can fix it one day! And also, the movement is very useful in pvp! You plan a ruin and a movement to see if you are in range to attack!
    So thank you very much!

    Bergy
  • P.S. Christian, if you can answer me, and it's easier for you to do so in french, Je suis québécois :)

    Bonjour,
    nefrontheone t'a expliqué que pour la base scanner il faut d'abord installer maelstromtools

    7xq7g9wr7tbk.png

    Cet outil dispose de plusieurs commandes dont le scanner de base.

    Voir ici :
    https://www.allyourbasesbelong2us.com/CrucialScripts/Crucial.Pack.All.in.One/

    Ce pack n'est pas à jour des dernières modifications du jeu, mais il suffit d'installer ensuite les scripts mis à jour :
    Wrapper
    https://github.com/SebHeuze/CnC_TA/raw/master/API_wrapper.user.js
    BaseScanner
    https://github.com/SebHeuze/CnC_TA/raw/master/Maelstrom_ADDON_Basescanner_41CP_Mod.user.js
    The Movement
    https://github.com/SebHeuze/CnC_TA/raw/master/TheMovement.user.js
    C'est, en tout cas, ce que j'ai fait ici et ça fonctionne, à part la réparation automatique sur Firefox.
    Il existe des différences entre chrome et firefox, probablement que le wraper sera adapté aux deux navigateurs par la suite.
  • Merci Christian! Je n'ai pas eu besoin d'installer le Crucial Pack, que le script "MaelstromTools Dev.user.js" dans tampermonkey. Et je continue d'utiliser en parallèle le pack de scripts Center Driven 9.0.7 qui m'offre encore quelques outils intéressants! La plus grosse perte à mon avis depuis 19.3 est la réparation automatique des bâtiments en fonction d'un ordre défini. Ultra pratique en pvp. Ça répare chantier, complexe de défense et bâtiments d'attaque en priorité. Et la perte de la collecte automatique des packages est également navrant!
    Merci
    Bergy
  • We have already commented on it in another thread but I will add it here so that we are all informed.
    It is not necessary to modify all scripts, some are still working and others are not. Of those that stopped working with the new version 19.3, those indicated in this thread have been updated.
    I suppose that in a short time these scripts will be part of a package of scripts that already exist.
    Note: I like to have the scripts separately to install only those that I consider useful, not a complete package.
    Not a part of EA / Envision teams - My comments are only mine.
  • avec le package, il est possible de désactiver ou d'activer les scripts que l'on souhaite utiliser.
    with the package, it is possible to disable or activate the scripts that you want to use.
  • nefrontheone
    328 posts Member
    edited August 24
    avec le package, il est possible de désactiver ou d'activer les scripts que l'on souhaite utiliser.

    Yes, I know, but you have to install EVERYTHING even if you only use four or six in the end. :-(
    I love them individually but each one is worthy of choosing what best suits him (or her).
    Not a part of EA / Envision teams - My comments are only mine.
  • I am new to Tampermonkey, so new to individual scripts. I have to admit that it is cool to have control over everything :) But I can't totally get rid of the package Center Driven 9.0.7 because it has tools that I can't find elsewhere, like the "MeSt Layout Scanner" that allows you to scan layouts with all your bases at once. It can show you 400 layouts if you have like 20 bases. There is also "Quick map" "My support info" etc...
  • As @AlkalyneD4 has just said in another thread, "If you were using a script package and installed the new fixed for version 19.3 of the game, you must make sure that the equivalent script of the package is disabled because otherwise, you will have problems."
    Not a part of EA / Envision teams - My comments are only mine.
  • AlkalyneD4, cnc-map.com/ccta-stats.com developer
Sign In or Register to comment.

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!